﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Windows.Forms;

public partial class Services : System.Web.UI.Page
{
    //mengambil connection string dari Web.Config 
    private string SuryoCon = ConfigurationManager.ConnectionStrings["SuryoConnection"].ConnectionString;
    //membuat objek SqlDataAdapter
    SqlDataAdapter da ;
    //membuat objek DataSet
    DataSet ds;
    //Membuat objek SqlCommand
    SqlCommand com = new SqlCommand();
    private void panggilData(string TerimaData)
    {
        
        //membuat koneksi
        SqlConnection con = new SqlConnection(SuryoCon);
        try
        {   
            //mengisi perintah command
            com.CommandText = "select * from msbarang where NamaBarang like '%" + TerimaData + "%'";
            //mendefinisikan koneksi yang akan digunakan
            com.Connection = con;
            //melakukan eksekusi perintah dari command
            da = new SqlDataAdapter(com);
            //membuat dataset untuk menyimpan data
            ds = new DataSet();
            //menyimpan data yang di select ke dalam
            //dataset dengan nama Tables barang
            da.Fill(ds, "barang");
            //memilih datasource yang digunakan
            GridView1.DataSource = ds;
            //memilih DataMember dari Tables pada dataSet
            GridView1.DataMember = "barang";
            //melakukan binding untuk menampilkan data
            GridView1.DataBind();
            //menutup koneksi
            con.Close();
        }
        catch (Exception kesalahan)
        {
            //menampilkan pesan kesalahan yang ada
            MessageBox.Show(kesalahan.ToString());
        }
        finally
        {
            //menghapus koneksi yang ada
            con.Dispose();
        }
    }
    
    protected void Page_Load(object sender, EventArgs e)
    {
        //Postback = fitur untuk memilih data dan kemudian
        //akan di kembalikan / di direct ke halaman itu
        if (IsPostBack)
        {
            //memanggil fungsi untuk mencari data
            //dan melempar sebuah string yang akan di cari
            panggilData(txtCari.Text.Trim());
        }
        else
        {
            //memanggil fungsi untuk mencari data
            //dan melempar string kosong di dalamnya
            //hasilna akan menampilkan semua data
            panggilData("");
        }        
        //menghitung data yang ditampilkan dari dataGrid
        LabelJumlahData.Text = "Label Jumlah Data : " + GridView1.Rows.Count.ToString();


    }

    protected void btnCari_Click(object sender, EventArgs e)
    {
        //memanggil fungsi untuk mencari data
        //dan melempar isi dari textbox TxtCari
        panggilData(txtCari.Text.Trim());
    }
   
}
